Name:           python-absl-py
Version:        1.4.0
Release:    1%{?dist}
Summary:        Abseil Python Common Libraries

License:        Apache-2.0
URL:            https://github.com/abseil/abseil-py/
Source0:         %{url}/archive/v%{version}/abseil-py-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%global common_description %{expand:
This repository is a collection of Python library code for building Python
applications. The code is collected from Google’s own Python code base, and has
been extensively tested and used in production.

Features:

  • Simple application startup
  • Distributed commandline flags system
  • Custom logging module with additional features
  • Testing utilities}

%description %{common_description}


%package -n     python3-absl-py
Summary:        %{summary}


%description -n python3-absl-py %{common_description}


%prep
%autosetup -n abseil-py-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files absl


%check

PYTHONPATH='%{buildroot}/%{python3_sitelib}'; export PYTHONPATH
%{python3} smoke_tests/sample_app.py --echo smoke 2>&1 |
  grep -F 'echo is smoke.'
%{python3} smoke_tests/sample_test.py | grep -Fq 'msg_for_test'



%files -n python3-absl-py -f %{pyproject_files}
%doc AUTHORS
%doc CHANGELOG.md
%doc CONTRIBUTING.md
%doc README.md
%doc smoke_tests


%changelog
* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-1
- initial build
